Bug 20142 - Allow translating offline circ message
Summary: Allow translating offline circ message
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: paxed
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-02-06 11:29 UTC by paxed
Modified: 2018-04-06 17:45 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20142: Allow translating offline circ message (1.66 KB, patch)
2018-02-06 11:31 UTC, paxed
Details | Diff | Splinter Review
Bug 20142: Allow translating offline circ message (1.73 KB, patch)
2018-02-27 14:37 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description paxed 2018-02-06 11:29:54 UTC
When using  the offline circ, there's a notification "You cannot change your branch or logout while using offline circulation" which is not translatable.
Comment 1 paxed 2018-02-06 11:31:10 UTC
Created attachment 71247 [details] [review]
Bug 20142: Allow translating offline circ message

Allow translating the notification saying you cannot change branch or
logout while offline.

Test plan:

1) Enable AllowOfflineCirculation
2) Go to Home -> Circulation -> Built-in offline circulation interface
3) Try to change your branch. Note the notification message
4) Apply patch, install language, translate the notification
5) Repeat 2 and 3 in that language. The message should be translated
Comment 2 Jonathan Druart 2018-02-27 14:37:08 UTC
Created attachment 72265 [details] [review]
Bug 20142: Allow translating offline circ message

Allow translating the notification saying you cannot change branch or
logout while offline.

Test plan:

1) Enable AllowOfflineCirculation
2) Go to Home -> Circulation -> Built-in offline circulation interface
3) Try to change your branch. Note the notification message
4) Apply patch, install language, translate the notification
5) Repeat 2 and 3 in that language. The message should be translated

Signed-off-by: Pasi Kallinen <pasi.kallinen@joensuu.fi>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 3 Jonathan Druart 2018-02-27 14:42:30 UTC
Trivial, skipping QA.
Comment 4 Jonathan Druart 2018-02-27 15:55:56 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 5 Nick Clemens 2018-04-06 17:45:43 UTC
Awesome work all, backported to stable for 17.11.05